﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json;
using System.Text.Json.Serialization;
using System.Threading.Tasks;
using Renci.SshNet;

namespace wakka
{
    internal class BinkPost
    {
        [JsonPropertyName("user")]
        public required string User { get; set; }
        [JsonPropertyName("body")]
        public required string Body { get; set; }
        [JsonPropertyName("time")]
        public required double Time { get; set; }
    }

    internal class Bink
    {
        public static readonly SshClient Client =
            new("tilde.town", "nebula", new PrivateKeyFile("C:/Users/helix/Documents/key.openssh"));

        public static List<BinkPost>? ReturnBinkList()
        {
            var rc = Client.RunCommand("town bink --dump");
            return JsonSerializer.Deserialize<List<BinkPost>>(rc.Result);
        }
    }
}
